twitter4j.api

## Interface TweetsResourcesAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface TweetsResourcesAsync

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `destroyStatus(long statusId)` Destroys the status specified by the required ID parameter. Usage note: The authenticating user must be the author of the specified status.
`void` `getOEmbed(OEmbedRequest req)` Returns information allowing the creation of an embedded representation of a Tweet on third party sites.
`void` `getRetweets(long statusId)` Returns up to 100 of the first retweets of a given tweet.
`void` `lookup(long... ids)` Returns fully-hydrated tweet objects for up to 100 tweets per request, as specified by comma-separated values passed to the id parameter.
`void` `retweetStatus(long statusId)` Retweets a tweet.
`void` `showStatus(long id)` Returns a single status, specified by the id parameter below.
`void` `updateStatus(StatusUpdate status)` Updates the authenticating user's status.
`void` `updateStatus(String status)` Updates the authenticating user's status.

### Method Detail

#### getRetweets

    void getRetweets(long statusId)

Returns up to 100 of the first retweets of a given tweet.
This method calls https://api.twitter.com/1.1/statuses/retweets

Parameters:
  `statusId` - The numerical ID of the tweet you want the retweets of.
Since:
  Twitter4J 2.1.0
See Also:
  Tweets Resources › statuses/retweets/:id

#### showStatus

    void showStatus(long id)

Returns a single status, specified by the id parameter below. The status's author will be returned inline.
This method calls https://api.twitter.com/1.1/statuses/show

Parameters:
  `id` - int
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/show/:id | Twitter Developers

#### destroyStatus

    void destroyStatus(long statusId)

Destroys the status specified by the required ID parameter.
Usage note: The authenticating user must be the author of the specified status.
This method calls https://api.twitter.com/1.1/statuses/destroy

Parameters:
  `statusId` - String
Since:
  1.1.2
See Also:
  POST statuses/destroy/:id | Twitter Developers

#### updateStatus

    void updateStatus(String status)

Updates the authenticating user's status. A status update with text identical to the authenticating user's text identical to the authenticating user's current status will be ignored to prevent duplicates.
This method calls https://api.twitter.com/1.1/statuses/update

Parameters:
  `status` - String
Since:
  Twitter4J 2.0.1
See Also:
  POST statuses/update | Twitter Developers

#### updateStatus

    void updateStatus(StatusUpdate status)

Updates the authenticating user's status. A status update with text identical to the authenticating user's text identical to the authenticating user's current status will be ignored to prevent duplicates.
Statuses over 280 characters will be forcibly truncated.
This method calls https://api.twitter.com/1.1/statuses/update

Parameters:
  `status` - the latest status to be updated.
Since:
  Twitter4J 2.1.1
See Also:
  POST statuses/update | Twitter Developers

#### retweetStatus

    void retweetStatus(long statusId)

Retweets a tweet. Returns the original tweet with retweet details embedded.
This method calls https://api.twitter.com/1.1/statuses/retweet

Parameters:
  `statusId` - The ID of the status to retweet.
Since:
  Twitter4J 2.0.10
See Also:
  POST statuses/retweet/:id | Twitter Developers

#### getOEmbed

    void getOEmbed(OEmbedRequest req)

Returns information allowing the creation of an embedded representation of a Tweet on third party sites. See the oEmbed specification for information about the response format. While this endpoint allows a bit of customization for the final appearance of the embedded Tweet, be aware that the appearance of the rendered Tweet may change over time to be consistent with Twitter's Display Requirements. Do not rely on any class or id parameters to stay constant in the returned markup.
This method calls https://api.twitter.com/1.1/statuses/oembed.json

Parameters:
  `req` - request
Since:
  Twitter4J 3.0.2
See Also:
  GET statuses/oembed | Twitter Developers

#### lookup

    void lookup(long... ids)

Returns fully-hydrated tweet objects for up to 100 tweets per request, as specified by comma-separated values passed to the id parameter. This method is especially useful to get the details (hydrate) a collection of Tweet IDs.
This method calls https://api.twitter.com/1.1/statuses/lookup.json

Parameters:
  `ids` - array of the ids to lookup
Since:
  Twitter4J 4.0.2
See Also:
  GET statuses/lookup